# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "fuse-backend-rs"
version = "0.1.1"
authors = ["Liu Bo <bo.liu@linux.alibaba.com>", "Liu Jiang <gerry@linux.alibaba.com>", "Peng Tao <bergwolf@hyper.sh>"]
description = "A rust library for Fuse(filesystem in userspace) servers and virtio-fs devices"
homepage = "https://github.com/cloud-hypervisor/"
readme = "README.md"
keywords = ["fuse", "virtio", "virtio-fs", "vhost-user-fs"]
categories = ["filesystem", "os::linux-apis"]
license = "Apache-2.0 AND BSD-3-Clause"
repository = "https://github.com/cloud-hypervisor/fuse-backend-rs"
[dependencies.arc-swap]
version = ">=0.4.6"

[dependencies.bitflags]
version = ">=1.1.0"

[dependencies.epoll]
version = "4.0"
optional = true

[dependencies.libc]
version = ">=0.2.68"

[dependencies.log]
version = ">=0.4.6"

[dependencies.nix]
version = "0.17.0"

[dependencies.vm-memory]
version = "0.4"

[dependencies.vmm-sys-util]
version = "0.4"
optional = true
[dev-dependencies.stderrlog]
version = "0.4"

[dev-dependencies.vm-memory]
version = "0.4"
features = ["backend-mmap"]

[dev-dependencies.vmm-sys-util]
version = "0.4"

[features]
default = ["fusedev"]
fusedev = ["vmm-sys-util", "epoll"]
